MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025291Open CASCADE[OCCT] OCCT:DRAWpublic2014-09-30 10:362014-11-11 13:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025291: Draw Harness, ViewerTest - replace command vchangecamera to vcamera and improve syntax
DescriptionCommand name vchangecamera is long and counter intuitive.
TagsNo tags attached.
Test case numberbugs vis(004) bug22337, bug24001, bug25230; v3d raytrace(014) bug24819
Attached Files

- Relationships

-  Notes
(0032457)
git (administrator)
2014-09-30 14:44

Branch CR25291 has been created by kgv.

SHA-1: f092ed8e12ca82dc8f4e50ded1b09d5a1e36cae2


Detailed log of new commits:

Author: kgv
Date: Tue Sep 30 14:43:16 2014 +0400

    0025291: Draw Harness, ViewerTest - replace command vchangecamera to vcamera and improve syntax
    
    Make vcamera command syntax more clear.
    Restore command vraytrace as alias to vrenderparams.
    Replace occurencies of atof() by Draw::Atof() in ViewerTest_ViewerCommands.cxx.
(0032458)
kgv (developer)
2014-09-30 14:45

Patch is ready for review in branch CR25291.
(0032496)
san (developer)
2014-10-01 12:20

Branch CR25291 reviewed without remarks, ready for testing
(0032553)
mkv (tester)
2014-10-02 09:56

Dear BugMaster,
Branch CR25291 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f092ed8e12ca82dc8f4e50ded1b09d5a1e36cae2

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)

products component :
Linux: 11 (11 on master)
Windows: 3 (3 on master)

Regressions/Differences:
No regressions/differences

Testing cases:

http://occt-tests/CR25291-master-occt/Debian60-64/bugs/vis/bug22337.html [^]
http://occt-tests/CR25291-master-occt/Windows-32-VC10/bugs/vis/bug22337.html [^]
bugs vis(004) bug22337: OK

http://occt-tests/CR25291-master-occt/Debian60-64/bugs/vis/bug24001.html [^]
http://occt-tests/CR25291-master-occt/Windows-32-VC10/bugs/vis/bug24001.html [^]
bugs vis(004) bug24001: OK

http://occt-tests/CR25291-master-occt/Debian60-64/bugs/vis/bug25230.html [^]
http://occt-tests/CR25291-master-occt/Windows-32-VC10/bugs/vis/bug25230.html [^]
bugs vis(004) bug25230: OK

http://occt-tests/CR25291-master-occt/Debian60-64/v3d/raytrace/bug24819.html [^]
http://occt-tests/CR25291-master-occt/Windows-32-VC10/v3d/raytrace/bug24819.html [^]
v3d raytrace(014) bug24819: OK

Testing on Linux:
occt component :
Total MEMORY difference: 398030492 / 397669948
Total CPU difference: 49677.310000000136 / 46596.14000000006
products component :
Total MEMORY difference: 121273808 / 121080404
Total CPU difference: 15348.149999999974 / 14519.339999999953

Testing on Windows:
occt component :
Total MEMORY difference: 279291180 / 279229128
Total CPU difference: 37745.0625 / 39387.640625
products component :
Total MEMORY difference: 70604008 / 66631884
Total CPU difference: 12324.203125 / 11155.78125

There are no differences in images found by testdiff.
(0033461)
git (administrator)
2014-10-21 16:44

Branch CR25291 has been deleted by inv.

SHA-1: f092ed8e12ca82dc8f4e50ded1b09d5a1e36cae2

- Related Changesets
occt: master 6b62b2da
Timestamp: 2014-09-30 10:43:16
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025291: Draw Harness, ViewerTest - replace command vchangecamera to vcamera and improve syntax

Make vcamera command syntax more clear.
Restore command vraytrace as alias to vrenderparams.
Replace occurencies of atof() by Draw::Atof() in ViewerTest_ViewerCommands.cxx.
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug22337 Diff ] File ]
mod - tests/bugs/vis/bug24001 Diff ] File ]
mod - tests/bugs/vis/bug25230 Diff ] File ]
mod - tests/v3d/raytrace/bug24819 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-30 10:36 kgv New Issue
2014-09-30 10:36 kgv Assigned To => kgv
2014-09-30 14:44 git Note Added: 0032457
2014-09-30 14:45 kgv Note Added: 0032458
2014-09-30 14:45 kgv Assigned To kgv => san
2014-09-30 14:45 kgv Status new => resolved
2014-09-30 14:45 kgv Relationship added related to 0024001
2014-10-01 12:20 san Note Added: 0032496
2014-10-01 12:20 san Assigned To san => bugmaster
2014-10-01 12:20 san Status resolved => reviewed
2014-10-01 13:12 mkv Assigned To bugmaster => mkv
2014-10-02 09:56 mkv Note Added: 0032553
2014-10-02 09:56 mkv Assigned To mkv => bugmaster
2014-10-02 09:56 mkv Status reviewed => tested
2014-10-02 09:57 mkv Test case number => bugs vis(004) bug22337, bug24001, bug25230; v3d raytrace(014) bug24819
2014-10-03 14:07 bugmaster Changeset attached => occt master 6b62b2da
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-21 16:44 git Note Added: 0033461
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker